var clock =
        {
            //Farba pozadia
            BackColor: "#000000",

            //Pocet poloziek, ktore sa este nacitavaju
            ItemsToLoad: 0,

            //Obrazky jednotlivych cisel
            Digits: [],

            //Dvojbodka
            Colon: null,

            //Sirka cisel
            DigitWidth: 12,
            //Padding medzi cislami
            DigitPadding:2,

            //Kresliaca plocha
            Canvas: null,
            Context: null,
            ContextWidth: 0,
            ContextHeight: 0,

            Load: function ()
            {
                   
                //Inicializacia kresliaceho prostredia
                this.Canvas = document.getElementById('clock');
                this.Context = this.Canvas.getContext("2d");

                // Odpamatame si rozmery kresliacej plochy
                this.ContextWidth = this.Canvas.offsetWidth;
                this.ContextHeight = this.Canvas.offsetHeight;
                
                 //Nacitanie obrazkov cisel
                for (var i = 0; i <= 9; i++)
                    this.Digits[i] = this.CreateImage(i.toString());

                //Nacitanie bodkociarky
                this.Colon = this.CreateImage("colon");
             

                this.CheckLoadedFiles();
            },
            CreateImage: function (FileName)
            {
                var img = new Image();
                this.ItemsToLoad++;
                img.src = "imgs/" + FileName + ".png";
                img.onload = this.ImageLoaded;
                return img;

            },
            ImageLoaded: function ()
            {
                this.onload = null;
                clock.ItemsToLoad--;
                clock.CheckLoadedFiles();
            },
            CheckLoadedFiles: function ()
            {
                if (this.ItemsToLoad <= 0)
                {
                    this.ShowClock();
                }
            },
             ShowClock: function ()
            {
                var actDate = new Date();

                var Hours = this.FormatNumber(actDate.getHours());
                var Minutes = this.FormatNumber(actDate.getMinutes());
                var Seconds = this.FormatNumber(actDate.getSeconds());

                var TimeValue = Hours + ":" + Minutes + ":" + Seconds;
                this.DrawValue(TimeValue);
                window.setTimeout("clock.ShowClock();", 1000);
                
            },
            FormatNumber:function(Value)
            {
              //padStart  nie je podporovane v IE
              var sValue = Value.toString();
              if (sValue.length === 1)
              {
                  sValue = "0" + sValue;
              }
              
              return sValue;
            },
            
            DrawValue: function (Value)
            {
                //Najskor vymaz stareho obsahu
                 this.Context.fillStyle = this.BackColor;
                this.Context.fillRect(0, 0, this.ContextWidth, this.ContextHeight);
                
                var Position = 0;
                var Img = null;
                for (var i = 0; i < Value.length; i++)
                {
                    var char = Value.charAt(i);

                    //Jedna sa o dvojbodku
                    if (char === ":")
                    {
                        Img = this.Colon;
                    } else
                    //Alebo sa jedna cislo od 0 do 9    
                    if (!isNaN(char))
                    {
                        var ichar = parseInt(char);
                        if (ichar >= 0 && ichar <= 9)
                        {
                            Img = this.Digits[ichar];
                        } else
                        {
                            //Neplatne cislo
                            continue;
                        }
                    } else  //Inak sa jedna o neplatny znak a ignorujeme ho
                    {
                        continue;
                    }

                    this.Context.drawImage(Img, Position, 0);
                    Position += this.DigitWidth + this.DigitPadding;
                }
            }
        };